package de.ivu.elect.business.staat.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class StaatenGruppeProperties
{

private final StaatenGruppe entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  bezeichnungProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.staat.entity.StaatenGruppeTyp>
                  staatenGruppeTypProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.staat.entity.StaatenGruppeTyp> staatenGruppeTypMitLeererAuswahlProperty;
        
    

public StaatenGruppeProperties(StaatenGruppe entity) {
this.entity = entity;

}

private static StaatenGruppeMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( StaatenGruppeMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getBezeichnungProperty() {
        if (bezeichnungProperty == null) {
        bezeichnungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getBezeichnungEinzahlMessage(),
        getMetaData().getBezeichnungDefaultValue(),
        getMetaData().isBezeichnungRequired(),
                entity::setBezeichnung,
        entity::getBezeichnung

                    ,  1 ,
            de.ivu.elect.business.staat.entity.StaatenGruppeConstants.BEZEICHNUNG_MAX_LENGTH
                );

        }


        return bezeichnungProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.staat.entity.StaatenGruppeTyp>
                getStaatenGruppeTypProperty() {
        if (staatenGruppeTypProperty == null) {
        staatenGruppeTypProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getStaatenGruppeTypEinzahlMessage(),
        getMetaData().getStaatenGruppeTypDefaultValue(),
        getMetaData().isStaatenGruppeTypRequired(),
                entity::setStaatenGruppeTyp,
        entity::getStaatenGruppeTyp

                    , de.ivu.elect.business.staat.entity.StaatenGruppeTyp.class,
            java.util.Arrays.asList(de.ivu.elect.business.staat.entity.StaatenGruppeTyp.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return staatenGruppeTypProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.staat.entity.StaatenGruppeTyp> getStaatenGruppeTypMitLeererAuswahlProperty() {
               if (staatenGruppeTypMitLeererAuswahlProperty == null) {
                 staatenGruppeTypMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getStaatenGruppeTypEinzahlMessage(),
        				getMetaData().getStaatenGruppeTypDefaultValue(),
                        getMetaData().isStaatenGruppeTypRequired(),
                        entity::setStaatenGruppeTyp,
                        entity::getStaatenGruppeTyp
                        , de.ivu.elect.business.staat.entity.StaatenGruppeTyp.class,
                        java.util.Arrays.asList(de.ivu.elect.business.staat.entity.StaatenGruppeTyp.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return staatenGruppeTypMitLeererAuswahlProperty;
            }
        
        }